<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSnappingDirection Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d83/a03506.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSnappingDirection Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3821b583f8b6d1695929155e7f8b8ac2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d83/a03506.html#a3821b583f8b6d1695929155e7f8b8ac2">Index</a></td></tr>
<tr class="separator:a3821b583f8b6d1695929155e7f8b8ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace3f9e54bd14ece6a688603b3a1fc919"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d83/a03506.html#ace3f9e54bd14ece6a688603b3a1fc919">Position</a></td></tr>
<tr class="separator:ace3f9e54bd14ece6a688603b3a1fc919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53affd90cbc69cf2132c8ad17a8a705a"><td class="memItemLeft" align="right" valign="top">ref array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d83/a03506.html#a53affd90cbc69cf2132c8ad17a8a705a">Allow</a> = new array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;</td></tr>
<tr class="separator:a53affd90cbc69cf2132c8ad17a8a705a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa28dec8acd7f69b5e485fb5778b798a"><td class="memItemLeft" align="right" valign="top">ref array&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d83/a03506.html#afa28dec8acd7f69b5e485fb5778b798a">Offset</a> = new array&lt; int &gt;</td></tr>
<tr class="separator:afa28dec8acd7f69b5e485fb5778b798a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/de0/a00050.html">ExpansionSnappingDirection.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/de0/a00050_source.html#l00013">13</a> of file <a class="el" href="../../d5/de0/a00050_source.html">expansionsnappingdirection.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a53affd90cbc69cf2132c8ad17a8a705a" name="a53affd90cbc69cf2132c8ad17a8a705a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53affd90cbc69cf2132c8ad17a8a705a">&#9670;&#160;</a></span>Allow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionSnappingDirection::Allow = new array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/de0/a00050_source.html#l00019">19</a> of file <a class="el" href="../../d5/de0/a00050_source.html">expansionsnappingdirection.c</a>.</p>

</div>
</div>
<a id="a3821b583f8b6d1695929155e7f8b8ac2" name="a3821b583f8b6d1695929155e7f8b8ac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3821b583f8b6d1695929155e7f8b8ac2">&#9670;&#160;</a></span>Index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSnappingDirection::Index</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/de0/a00050_source.html#l00015">15</a> of file <a class="el" href="../../d5/de0/a00050_source.html">expansionsnappingdirection.c</a>.</p>

</div>
</div>
<a id="afa28dec8acd7f69b5e485fb5778b798a" name="afa28dec8acd7f69b5e485fb5778b798a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa28dec8acd7f69b5e485fb5778b798a">&#9670;&#160;</a></span>Offset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; int &gt; ExpansionSnappingDirection::Offset = new array&lt; int &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/de0/a00050_source.html#l00020">20</a> of file <a class="el" href="../../d5/de0/a00050_source.html">expansionsnappingdirection.c</a>.</p>

</div>
</div>
<a id="ace3f9e54bd14ece6a688603b3a1fc919" name="ace3f9e54bd14ece6a688603b3a1fc919"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace3f9e54bd14ece6a688603b3a1fc919">&#9670;&#160;</a></span>Position</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionSnappingDirection::Position</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/de0/a00050_source.html#l00017">17</a> of file <a class="el" href="../../d5/de0/a00050_source.html">expansionsnappingdirection.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/basebuilding/<a class="el" href="../../d5/de0/a00050_source.html">expansionsnappingdirection.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d83/a03506.html">ExpansionSnappingDirection</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
